跳转到主要内容
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
dataforseo_labs
/
google
/
bulk_app_metrics
/
live
Google Play 批量应用指标实时数据
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/bulk_app_metrics/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "app_ids": [
    "<string>"
  ],
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "tag": "<string>"
}
'
import requests

url = "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/bulk_app_metrics/live"

payload = {
"app_ids": ["<string>"],
"location_name": "<string>",
"location_code": 123,
"language_name": "<string>",
"language_code": "<string>",
"tag": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
app_ids: ['<string>'],
location_name: '<string>',
location_code: 123,
language_name: '<string>',
language_code: '<string>',
tag: '<string>'
})
};

fetch('https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/bulk_app_metrics/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.se_type": "<string>",
  "tasks.result.app_id": "<string>",
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.se_type": "<string>",
  "tasks.result.items.app_id": "<string>",
  "tasks.result.items.metrics": {},
  "tasks.result.items.metrics.google_play_search_organic": {},
  "tasks.result.items.metrics.google_play_search_organic.pos_1": 123,
  "tasks.result.items.metrics.google_play_search_organic.pos_2_3": 123,
  "tasks.result.items.metrics.google_play_search_organic.pos_4_10": 123,
  "tasks.result.items.metrics.google_play_search_organic.pos_11_100": 123,
  "tasks.result.items.metrics.google_play_search_organic.count": 123,
  "tasks.result.items.metrics.google_play_search_organic.search_volume": 123
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
app_ids
string[]
必填

应用 ID,必填字段;Google Play 上移动应用的 ID;可在 Google Play 所列每个应用的 URL 中找到该 ID;示例:在 URL https://play.google.com/store/apps/details?id=org.telegram.messenger 中,id 为 org.telegram.messenger;此字段最多可指定 1000 个 ID

location_name
string
必填

位置的完整名称。如果未指定 location_code,则为必填字段。注意:必须指定 location_name 或 location_code 之一。您可以通过向 https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages 单独发起请求,获取包含 location_name 的可用位置列表。注意:此端点目前仅支持美国位置。示例:United States

location_code
integer
必填

位置代码。如果未指定 location_name,则为必填字段。注意:必须指定 location_name 或 location_code 之一。您可以通过向 https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages 单独发送请求,获取包含 location_code 的可用位置列表;注意:此端点目前仅支持美国位置;示例:2840

language_name
string
必填

语言的完整名称。如果未指定 language_code,则此字段为必填字段。注意:必须指定 language_name 或 language_code 之一。可通过向 https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages 单独发出请求,获取包含 language_name 的可用语言列表;注意:此端点目前仅支持英语;示例:English

language_code
string
必填

语言代码。如果未指定 language_name,则为必填字段。注意:必须指定 language_name 或 language_code 之一。您可以通过单独请求 https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages,获取可用语言及其 language_code 的列表;注意:此端点目前仅支持英语。示例:en

tag
string

用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配;您将在响应的 data 对象中找到指定的 tag 值

响应

成功响应

version
string

API 的当前版本

status_code
integer

通用状态码;您可以在此处查看完整的响应码列表。注意:我们强烈建议设计必要的系统来处理相关异常或错误情况

status_message
string

常规信息消息;可在此处查看常规信息消息的完整列表

time
string

执行时间(秒)

cost
number

任务总成本(美元)

tasks_count
integer

tasks 数组中的任务数量

tasks_error
integer

返回错误的 tasks 数组中的任务数量

tasks
string[]

任务数组

tasks.id
string

任务标识符,系统中采用 UUID 格式的唯一任务标识符

tasks.status_code
integer

DataForSEO 生成的任务状态码;范围为:10000-60000;完整响应代码列表可在此处查看

tasks.status_message
string

任务的信息性消息,你可以在此处查看通用信息性消息的完整列表

tasks.time
string

执行时间(秒)

tasks.cost
number

任务成本(美元)

tasks.result_count
integer

结果数组中的元素数量

tasks.path
string[]

URL 路径

tasks.data
object

包含您在 POST 请求中指定的相同参数

tasks.result
string[]

结果数组

tasks.result.se_type
string

搜索引擎类型

tasks.result.app_id
string

POST 数组中的应用 id

tasks.result.location_code
integer

POST 数组中的位置代码

tasks.result.language_code
string

POST 数组中的语言代码

tasks.result.total_count
integer

数据库中与您的请求相关的结果总量

tasks.result.items_count
integer

items 数组中返回的结果数量

tasks.result.items
string[]

包含与指定应用的排名指标相关的数据

tasks.result.items.se_type
string

搜索引擎类型

tasks.result.items.app_id
string

POST 数组中的应用 id

tasks.result.items.metrics
object

应用排名关键词的指标,即所提供的应用在 Google Play 上获得排名的关键词相关数据

tasks.result.items.metrics.google_play_search_organic
object

来自 Google Play 自然搜索的排名数据

tasks.result.items.metrics.google_play_search_organic.pos_1
integer

该应用在自然搜索结果中排名第 1 的 SERP 数量

tasks.result.items.metrics.google_play_search_organic.pos_2_3
integer

应用在自然搜索结果中排名第 2-3 位的 SERP 数量

tasks.result.items.metrics.google_play_search_organic.pos_4_10
integer

应用在自然搜索结果中排名第 #4-10 位的 SERP 数量

tasks.result.items.metrics.google_play_search_organic.pos_11_100
integer

应用在自然搜索结果中排名第 11-100 位的 SERP 数量

tasks.result.items.metrics.google_play_search_organic.count
integer

包含该应用的自然搜索结果页总数

tasks.result.items.metrics.google_play_search_organic.search_volume
integer

应用在 Google Play 自然搜索 SERP 中排名关键词的总搜索量